function dn = comp3_ode_complete (t, n, volumes, perm, surf, Caux, die_rate)
    dn = ones(3, 1);
    
    s = 1;
    b = 2;
    r = 3;
%   Eaux=volumes(s)*Caux(t);
   
   born_rate = interp1(Caux(:,1),volumes(s) * Caux(:,2),t); % Interpolate the data set (ft,f) at time t
    
    dn(s) = (born_rate - die_rate * n(s) - surf(b) * perm(b) * (n(s) /...
        volumes(s) - n(b) / volumes(b)));
    
    dn(b) = (- die_rate * n(b) + surf(b) * perm(b) * (n(s) / volumes(s) ...
        - n(b) / volumes(b)) - surf(r) * perm(r) * (n(b) / volumes(b) -...
        n(r) / volumes(r)));
    
    dn(r) = (- die_rate * n(r) + surf(r) * perm(r) * (n(b) / volumes(b) ...
        - n(r) / volumes(r) ));