function [rescomp, Vrecept]= system3_complete(Caux, tsim)%takes as entry concentration of auxin in pruducer cell and the tiùe of siulation
V = [0.0041,0.63*10^-4,0.1099]';
P = [10^-6, 10^-6, 10^-6]';
S = [1.219,1.1839,0.3*0.0781]';

init=[0; 0; 0];

%Cwater = 5000;
Ddie = 0.0001;

[T,N]=ode45(@(t, y) comp3_ode_complete(t, y, V, P, S, Caux, Ddie), tsim, init);
rescomp=horzcat(T,N);
Vrecept=V(3);
%N = [N(:,1) / V(1) N(:,2) / V(2) N(:,3) / V(3)];
%N = [N; sum(N)]
set(gcf,'DefaultAxesColorOrder',[0 0 1;1 0 0;0 1 0]);
plot(T,N);
h = legend('emitter','blood','receptor');
xlabel('Time (s)')
ylabel('Quantity of auxin (mmol) ')
title('Diffusion of auxin in tadpole Sreceptor=0.3*1.1839')

